
Ceph - Bug #2676

mon: cannot create pool with old renamed name

06/29/2012 04:46 PM - Yehuda Sadeh

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

renaming a pool name, and then trying to create a new pool with the old name fails.

Associated revisions

Revision 5a935509 - 06/30/2012 02:54 AM - Sage Weil 

osd: handle pool name changes properly

Remove the old name from the name->id map.

Fixes: #2676

Signed-off-by: Sage Weil <sage@inktank.com>

History

#1 - 06/29/2012 04:48 PM - Yehuda Sadeh

- Description updated

#2 - 06/29/2012 08:59 PM - Sage Weil

- Status changed from New to Resolved

5a9355091296121823156de7d3160de45328a0cc
